> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/integrations/discourse-configuration.md).

# Discourse Configuration

Discourse community forum integration.

## GET /tenants/{tenantId}/integrations/discourse

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Discourse Configuration","description":"Discourse community forum integration."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"DiscourseConfigDto":{"type":"object","properties":{"discourseConnectSecret":{"type":"string","description":"Discourse Connect secret for SSO authentication"},"discourseApiKey":{"type":"string","description":"Discourse API key for managing chat users and channels"},"betaChatEnabled":{"type":"boolean","description":"Discourse Chat enabled for beta users"},"chatEnabled":{"type":"boolean","description":"Discourse Chat enabled"},"chatBaseUrl":{"type":"string","description":"Discourse base URL"},"_links":{"description":"A `LinksDto` structure containing URL references to properties that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["discourseConnectSecret","discourseApiKey","betaChatEnabled","chatEnabled","chatBaseUrl"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/tenants/{tenantId}/integrations/discourse":{"get":{"operationId":"DiscourseConfigController_getConfig","parameters":[],"responses":{"200":{"description":"Returns the Discourse configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscourseConfigDto"}}}}},"tags":["Discourse Configuration"]}}}}
```

## PATCH /tenants/{tenantId}/integrations/discourse

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Discourse Configuration","description":"Discourse community forum integration."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"DiscourseConfigPatchDto":{"type":"object","properties":{"discourseConnectSecret":{"type":"string","description":"Discourse Connect secret for SSO authentication"},"discourseApiKey":{"type":"string","description":"Discourse API key for managing chat users and channels"},"betaChatEnabled":{"type":"boolean","description":"Discourse Chat enabled for beta users"},"chatEnabled":{"type":"boolean","description":"Discourse Chat enabled"},"chatBaseUrl":{"type":"string","description":"Discourse base URL"}}},"DiscourseConfigDto":{"type":"object","properties":{"discourseConnectSecret":{"type":"string","description":"Discourse Connect secret for SSO authentication"},"discourseApiKey":{"type":"string","description":"Discourse API key for managing chat users and channels"},"betaChatEnabled":{"type":"boolean","description":"Discourse Chat enabled for beta users"},"chatEnabled":{"type":"boolean","description":"Discourse Chat enabled"},"chatBaseUrl":{"type":"string","description":"Discourse base URL"},"_links":{"description":"A `LinksDto` structure containing URL references to properties that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["discourseConnectSecret","discourseApiKey","betaChatEnabled","chatEnabled","chatBaseUrl"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/tenants/{tenantId}/integrations/discourse":{"patch":{"operationId":"DiscourseConfigController_setConfig","parameters":[],"requestBody":{"required":true,"description":"The Discourse configuration to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscourseConfigPatchDto"}}}},"responses":{"200":{"description":"Returns the updated Discourse configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscourseConfigDto"}}}},"422":{"description":"Returns an `ErrorDto` in case of validation errors or failures.<br/>"}},"tags":["Discourse Configuration"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.podplay.app/api/integrations/discourse-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
